## visu_actionInterface visu_actionInterface — Interface for defining actions and events. |

## Synopsis

    #define             BUTTON_TYPE_PRESS
    #define             BUTTON_TYPE_RELEASE
    typedef             SimplifiedEvents;

## Description

These definitions are used to give a library and plateform independent simplified event handlers.

## Details

### BUTTON_TYPE_PRESS

    #define BUTTON_TYPE_PRESS   1

Value that can be put into field buttonType of structure SimplifiedEvents_struct.

### BUTTON_TYPE_RELEASE

    #define BUTTON_TYPE_RELEASE 2

Value that can be put into field buttonType of structure SimplifiedEvents_struct.

### SimplifiedEvents

    typedef struct SimplifiedEvents_struct SimplifiedEvents;

A short way to address SimplifiedEvents_struct objects.